import { Plugin } from "@webiny/plugins";
import { Sort } from "elastic-ts";
export interface ModifySortParams {
    sort: Sort;
}
export interface ModifySortCallable<T extends ModifySortParams> {
    (params: T): void;
}
export declare abstract class ElasticsearchSortModifierPlugin<T extends ModifySortParams = ModifySortParams> extends Plugin {
    private readonly callable?;
    constructor(callable?: ModifySortCallable<T>);
    modifySort(params: T): void;
}
